org.apache.nutch.storage

## Enum Mark

- java.lang.Object
- - java.lang.Enum<Mark>
  - - org.apache.nutch.storage.Mark

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Mark>

      public enum Mark
      extends java.lang.Enum<Mark>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FETCH_MARK`
    `GENERATE_MARK`
    `INDEX_MARK`
    `INJECT_MARK`
    `PARSE_MARK`
    `SITEMAP_MARK`
    `UPDATEDB_MARK`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.avro.util.Utf8` | `checkMark(WebPage page)`
    `org.apache.avro.util.Utf8` | `getName()`
    `void` | `putMark(WebPage page, java.lang.String markValue)`
    `void` | `putMark(WebPage page, org.apache.avro.util.Utf8 markValue)`
    `org.apache.avro.util.Utf8` | `removeMark(WebPage page)`
    `org.apache.avro.util.Utf8` | `removeMarkIfExist(WebPage page)` Remove the mark only if the mark is present on the page.
    `static Mark` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Mark[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INJECT_MARK

          public static final Mark INJECT_MARK

    - #### GENERATE_MARK

          public static final Mark GENERATE_MARK

    - #### FETCH_MARK

          public static final Mark FETCH_MARK

    - #### PARSE_MARK

          public static final Mark PARSE_MARK

    - #### UPDATEDB_MARK

          public static final Mark UPDATEDB_MARK

    - #### INDEX_MARK

          public static final Mark INDEX_MARK

    - #### SITEMAP_MARK

          public static final Mark SITEMAP_MARK

  - ### Method Detail

    - #### values

          public static Mark[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Mark c : Mark.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Mark valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### putMark

          public void putMark(WebPage page,
                              org.apache.avro.util.Utf8 markValue)

    - #### putMark

          public void putMark(WebPage page,
                              java.lang.String markValue)

    - #### removeMark

          public org.apache.avro.util.Utf8 removeMark(WebPage page)

    - #### checkMark

          public org.apache.avro.util.Utf8 checkMark(WebPage page)

    - #### removeMarkIfExist

          public org.apache.avro.util.Utf8 removeMarkIfExist(WebPage page)

      Remove the mark only if the mark is present on the page.
      Parameters:
        `page` - The page to remove the mark from.
      Returns:
        If the mark was present.

    - #### getName

          public org.apache.avro.util.Utf8 getName()

Copyright © 2019 The Apache Software Foundation